Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.hasessionstate.server
Class HASessionStateTopologyComputerImpl

    java.lang.Object
      org.jboss.ha.hasessionstate.server.HASessionStateTopologyComputerImpl

All Implemented Interfaces:
  HASessionStateTopologyComputer

public class HASessionStateTopologyComputerImpl
extends Object
implements HASessionStateTopologyComputer

Default implementation of HASessionStateTopologyComputer

Version:
  $Revision: 1.2 $

  Revisions:

Author:
  sacha.labourey@cogito-info.ch
See Also:
  `HASessionState`

Field Summary
`protected long` | `nodesPerSubPartition`
`protected String` | `sessionStateIdentifier`

Constructor Summary
`HASessionStateTopologyComputerImpl()` Creates new HASessionStateTopologyComputerImpl

Method Summary
`protected SubPartitionsInfo` | `computeCompatibleComposition(SubPartitionsInfo splitingInfo, ArrayList replicants)`
`SubPartitionsInfo` | `computeNewTopology(SubPartitionsInfo currentTopology, ArrayList newReplicants)`
`protected SubPartitionsInfo` | `computerFirstComposition(SubPartitionsInfo splitingInfo, ArrayList replicants)`
`protected String` | `getSubPartitionName(SubPartitionsInfo manager)`
`void` | `init(String sessionStateName, long nodesPerSubPartition)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodesPerSubPartition

    protected long nodesPerSubPartition

### sessionStateIdentifier

    protected String sessionStateIdentifier

Constructor Detail

### HASessionStateTopologyComputerImpl

    public HASessionStateTopologyComputerImpl()

  Creates new HASessionStateTopologyComputerImpl

Method Detail

### init

    public void init(String sessionStateName,
                     long nodesPerSubPartition)

  Specified by:
    `init` in interface `HASessionStateTopologyComputer`

### start

    public void start()

  Specified by:
    `start` in interface `HASessionStateTopologyComputer`

### computeNewTopology

    public SubPartitionsInfo computeNewTopology(SubPartitionsInfo currentTopology,
                                                ArrayList newReplicants)

  Specified by:
    `computeNewTopology` in interface `HASessionStateTopologyComputer`

### computerFirstComposition

    protected SubPartitionsInfo computerFirstComposition(SubPartitionsInfo splitingInfo,
                                                         ArrayList replicants)

### computeCompatibleComposition

    protected SubPartitionsInfo computeCompatibleComposition(SubPartitionsInfo splitingInfo,
                                                             ArrayList replicants)

### getSubPartitionName

    protected String getSubPartitionName(SubPartitionsInfo manager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.